zenilib: zenilib/jni/external/libvorbis/lib/psytune.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
psytune.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "os.h"`
`#include "misc.h"`
`#include "psy.h"`
`#include "mdct.h"`
`#include "smallft.h"`
`#include "window.h"`
`#include "scales.h"`
`#include "lpc.h"`
`#include "lsp.h"`
`#include "masking.h"`
`#include "registry.h"`

Go to the source code of this file.

## Functions

void | analysis (char *base, int i, float *v, int n, int bark, int dB)
int | main (int argc, char *argv[])

## Variables

static vorbis_info_floor1 | _floor_set0
static vorbis_info_psy | _psy_set0
static vorbis_info_psy_global | _psy_set0G
static vp_couple | _vp_couple0 []
static vp_part | _vp_part0 []
static codec_setup_info | codec_setup0
long | frameno =0
static vorbis_info_mapping0 | mapping_info ={1,{0,1},{0},{0},{0},0, 1, {0},{1}}
static int | noisy =0

## Function Documentation

void analysis | ( | char * | base,
|  | int | i,
|  | float * | v,
|  | int | n,
|  | int | bark,
|  | int | dB
| ) |  |

Definition at line 199 of file psytune.c.

References j, noisy, toBARK, and todB().

Referenced by main().

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 231 of file psytune.c.

References _floor_P, _ogg_calloc, _ogg_malloc, _vp_global_look(), _vp_psy_init(), analysis(), vorbis_info::channels, vorbis_info::codec_setup, codec_setup0, vorbis_info_mapping0::coupling_ang, vorbis_info_mapping0::coupling_mag, vorbis_info_mapping0::coupling_steps, drft_forward(), drft_init(), fabs(), FAST_HYPOT, frameno, i, j, k, vorbis_func_floor::look, mdct_backward(), mdct_forward(), mdct_init(), memmove, memset, noisy, NULL, vorbis_block::pcmend, todB(), vorbis_block::vd, vorbis_dsp_state::vi, and vi.

## Variable Documentation

vorbis_info_floor1 _floor_set0

static

Initial value:
={1,
{0},
{32},
{0},
{0},
{{-1}},
2,
{0,1024,
88,31,243,
14,54,143,460,
6,3,10, 22,18,26, 41,36,47,
69,61,78, 112,99,126, 185,162,211,
329,282,387, 672,553,825
},
60,30,400,
20,8,1,18.,
20,600,
960}

Definition at line 160 of file psytune.c.

vorbis_info_psy _psy_set0

static

Definition at line 69 of file psytune.c.

vorbis_info_psy_global _psy_set0G

static

Initial value:
={
0,
8,
256, {26.f,26.f,26.f,30.f}, {-90.f,-90.f,-90.f,-90.f}, -90.f,
-6.f,
0,
0.,
0.,
}

Definition at line 41 of file psytune.c.

vp_couple _vp_couple0[]

static

Initial value:
={
{ 1, {9e10f,9e10f,0}, { 0.f, 0.f,0}, { 0.f, 0.f,0}, {0.f,0.f,0}},
{ 18, {9e10f,9e10f,0}, { 0.f, 0.f,0}, { 0.f, 0.f,0}, {0.f,0.f,0}},
{ 9999, {9e10f,9e10f,0}, { 0.f, 9e10f,0}, { 0.f,22.f,1}, {0.f,0.f,0}}
}

Definition at line 63 of file psytune.c.

vp_part _vp_part0[]

static

Initial value:
={
{ 1,9e10f, 9e10f, 1.f,9999.f},
{ 9999, .75f, 9e10f, .5f,9999.f},
{ 18,9e10f, 9e10f, .5f, 30.f},
{ 9999,9e10f, 9e10f, .5f, 30.f}
}

Definition at line 55 of file psytune.c.

codec_setup_info codec_setup0

static

Initial value:
={ {0,0},
1,1,1,1,1,0,1,
{NULL},
{0},{&mapping_info},
{0},{NULL},
{1},{&_floor_set0},
{2},{NULL},
{NULL},
{&_psy_set0},
&_psy_set0G}
NULL
#define NULL
Definition: ftobjs.h:61
_psy_set0
static vorbis_info_psy _psy_set0
Definition: psytune.c:69
_psy_set0G
static vorbis_info_psy_global _psy_set0G
Definition: psytune.c:41
_floor_set0
static vorbis_info_floor1 _floor_set0
Definition: psytune.c:160
mapping_info
static vorbis_info_mapping0 mapping_info
Definition: psytune.c:186

Definition at line 187 of file psytune.c.

Referenced by main().

long frameno =0

Definition at line 227 of file psytune.c.

Referenced by Zeni::decrement_sprite_frame(), Zeni::increment_sprite_frame(), and main().

vorbis_info_mapping0 mapping_info ={1,{0,1},{0},{0},{0},0, 1, {0},{1}}

static

Definition at line 186 of file psytune.c.

int noisy =0

static

Definition at line 198 of file psytune.c.

Referenced by analysis(), and main().